org.apache.fop.util

## Interface ContentHandlerFactory

All Known Implementing Classes:
  AFPExtensionHandlerFactory, DOMBuilderContentHandlerFactory, PDFExtensionHandlerFactory, PSExtensionHandlerFactory, SVGDOMContentHandlerFactory, XMPContentHandlerFactory

    public interface ContentHandlerFactory

Factory interface implemented by classes that can instantiate ContentHandler subclasses which parse a SAX stream into Java objects.

### Nested Class Summary

Nested Classes
`static interface` `ContentHandlerFactory.ObjectBuiltListener` EventListener interface for objects which want to get notified when ContentHandler implementing the ObjectSource interface has finished parsing.
`static interface` `ContentHandlerFactory.ObjectSource` Interface that ContentHandler implementations that parse Java objects from XML can implement to return these objects.

### Method Summary

All Methods Instance Methods Abstract Methods
`ContentHandler` `createContentHandler()`
`String[]` `getSupportedNamespaces()`

### Method Detail

#### getSupportedNamespaces

    String[] getSupportedNamespaces()

Returns:
  an array of supported namespaces.

#### createContentHandler

    ContentHandler createContentHandler()
                                 throws SAXException

Returns:
  a new ContentHandler to handle a SAX stream
Throws:
  `SAXException` - if there's an error while preparing the ContentHandler